# Uses of Interface
javax.xml.crypto.dsig.CanonicalizationMethod

Packages that use CanonicalizationMethod
Package
Description
javax.xml.crypto.dsig
Classes for generating and validating XML digital signatures.

## Uses of CanonicalizationMethod in javax.xml.crypto.dsig

Methods in javax.xml.crypto.dsig that return CanonicalizationMethod
Modifier and Type
Method
Description
`CanonicalizationMethod`
SignedInfo.`getCanonicalizationMethod()`
Returns the canonicalization method of this `SignedInfo`.
`abstract CanonicalizationMethod`
XMLSignatureFactory.`newCanonicalizationMethod​(String algorithm, C14NMethodParameterSpec params)`
Creates a `CanonicalizationMethod` for the specified algorithm URI and parameters.
`abstract CanonicalizationMethod`
XMLSignatureFactory.`newCanonicalizationMethod​(String algorithm, XMLStructure params)`
Creates a `CanonicalizationMethod` for the specified algorithm URI and parameters.
Methods in javax.xml.crypto.dsig with parameters of type CanonicalizationMethod
Modifier and Type
Method
Description
`abstract SignedInfo`
XMLSignatureFactory.`newSignedInfo​(CanonicalizationMethod cm, SignatureMethod sm, List<? extends Reference> references)`
Creates a `SignedInfo` with the specified canonicalization and signature methods, and list of one or more references.
`abstract SignedInfo`
XMLSignatureFactory.`newSignedInfo​(CanonicalizationMethod cm, SignatureMethod sm, List<? extends Reference> references, String id)`
Creates a `SignedInfo` with the specified parameters.